#pragma once
#include <map>
struct M_WeekQuestRewardCFGData
{
	//编号
	int mID;
	//所需积分
	int mNeedScore;
	//奖励物品ID
	std::vector<int> mRewardItem;
	//奖励物品数量
	std::vector<int> mRewardCount;
};

class M_WeekQuestRewardCFG
{
public:
private:
	static std::auto_ptr<M_WeekQuestRewardCFG> msSingleton;
public:
	int GetCount();
	const M_WeekQuestRewardCFGData* GetData(int ID);
	const std::map<int, M_WeekQuestRewardCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_WeekQuestRewardCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_WeekQuestRewardCFGData> mMapData;
};
